Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network25.160.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
25.160.0.0
Broadcast address
25.191.255.255
First usable
25.160.0.1
Last usable
25.191.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 19A00000 · Integer 429916160 to 432013311
Reverse DNS zones
160.25.in-addr.arpa
161.25.in-addr.arpa
162.25.in-addr.arpa
163.25.in-addr.arpa
164.25.in-addr.arpa
165.25.in-addr.arpa
166.25.in-addr.arpa
167.25.in-addr.arpa
168.25.in-addr.arpa
169.25.in-addr.arpa
170.25.in-addr.arpa
171.25.in-addr.arpa
172.25.in-addr.arpa
173.25.in-addr.arpa
174.25.in-addr.arpa
175.25.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011001.10100000.00000000.0000000025.160.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00011001.10100000.00000000.0000000025.160.0.0
Broadcast00011001.10111111.11111111.1111111125.191.255.255
Split into smaller subnets/19

25.160.0.0/11 makes 256 subnets of /19.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
125.160.0.0/1925.160.0.1 to 25.160.31.25425.160.31.2558,190
225.160.32.0/1925.160.32.1 to 25.160.63.25425.160.63.2558,190
325.160.64.0/1925.160.64.1 to 25.160.95.25425.160.95.2558,190
425.160.96.0/1925.160.96.1 to 25.160.127.25425.160.127.2558,190
525.160.128.0/1925.160.128.1 to 25.160.159.25425.160.159.2558,190
625.160.160.0/1925.160.160.1 to 25.160.191.25425.160.191.2558,190
725.160.192.0/1925.160.192.1 to 25.160.223.25425.160.223.2558,190
825.160.224.0/1925.160.224.1 to 25.160.255.25425.160.255.2558,190
925.161.0.0/1925.161.0.1 to 25.161.31.25425.161.31.2558,190
1025.161.32.0/1925.161.32.1 to 25.161.63.25425.161.63.2558,190
1125.161.64.0/1925.161.64.1 to 25.161.95.25425.161.95.2558,190
1225.161.96.0/1925.161.96.1 to 25.161.127.25425.161.127.2558,190
1325.161.128.0/1925.161.128.1 to 25.161.159.25425.161.159.2558,190
1425.161.160.0/1925.161.160.1 to 25.161.191.25425.161.191.2558,190
1525.161.192.0/1925.161.192.1 to 25.161.223.25425.161.223.2558,190
1625.161.224.0/1925.161.224.1 to 25.161.255.25425.161.255.2558,190
1725.162.0.0/1925.162.0.1 to 25.162.31.25425.162.31.2558,190
1825.162.32.0/1925.162.32.1 to 25.162.63.25425.162.63.2558,190
1925.162.64.0/1925.162.64.1 to 25.162.95.25425.162.95.2558,190
2025.162.96.0/1925.162.96.1 to 25.162.127.25425.162.127.2558,190
2125.162.128.0/1925.162.128.1 to 25.162.159.25425.162.159.2558,190
2225.162.160.0/1925.162.160.1 to 25.162.191.25425.162.191.2558,190
2325.162.192.0/1925.162.192.1 to 25.162.223.25425.162.223.2558,190
2425.162.224.0/1925.162.224.1 to 25.162.255.25425.162.255.2558,190
2525.163.0.0/1925.163.0.1 to 25.163.31.25425.163.31.2558,190
2625.163.32.0/1925.163.32.1 to 25.163.63.25425.163.63.2558,190
2725.163.64.0/1925.163.64.1 to 25.163.95.25425.163.95.2558,190
2825.163.96.0/1925.163.96.1 to 25.163.127.25425.163.127.2558,190
2925.163.128.0/1925.163.128.1 to 25.163.159.25425.163.159.2558,190
3025.163.160.0/1925.163.160.1 to 25.163.191.25425.163.191.2558,190
3125.163.192.0/1925.163.192.1 to 25.163.223.25425.163.223.2558,190
3225.163.224.0/1925.163.224.1 to 25.163.255.25425.163.255.2558,190
3325.164.0.0/1925.164.0.1 to 25.164.31.25425.164.31.2558,190
3425.164.32.0/1925.164.32.1 to 25.164.63.25425.164.63.2558,190
3525.164.64.0/1925.164.64.1 to 25.164.95.25425.164.95.2558,190
3625.164.96.0/1925.164.96.1 to 25.164.127.25425.164.127.2558,190
3725.164.128.0/1925.164.128.1 to 25.164.159.25425.164.159.2558,190
3825.164.160.0/1925.164.160.1 to 25.164.191.25425.164.191.2558,190
3925.164.192.0/1925.164.192.1 to 25.164.223.25425.164.223.2558,190
4025.164.224.0/1925.164.224.1 to 25.164.255.25425.164.255.2558,190
4125.165.0.0/1925.165.0.1 to 25.165.31.25425.165.31.2558,190
4225.165.32.0/1925.165.32.1 to 25.165.63.25425.165.63.2558,190
4325.165.64.0/1925.165.64.1 to 25.165.95.25425.165.95.2558,190
4425.165.96.0/1925.165.96.1 to 25.165.127.25425.165.127.2558,190
4525.165.128.0/1925.165.128.1 to 25.165.159.25425.165.159.2558,190
4625.165.160.0/1925.165.160.1 to 25.165.191.25425.165.191.2558,190
4725.165.192.0/1925.165.192.1 to 25.165.223.25425.165.223.2558,190
4825.165.224.0/1925.165.224.1 to 25.165.255.25425.165.255.2558,190
4925.166.0.0/1925.166.0.1 to 25.166.31.25425.166.31.2558,190
5025.166.32.0/1925.166.32.1 to 25.166.63.25425.166.63.2558,190
5125.166.64.0/1925.166.64.1 to 25.166.95.25425.166.95.2558,190
5225.166.96.0/1925.166.96.1 to 25.166.127.25425.166.127.2558,190
5325.166.128.0/1925.166.128.1 to 25.166.159.25425.166.159.2558,190
5425.166.160.0/1925.166.160.1 to 25.166.191.25425.166.191.2558,190
5525.166.192.0/1925.166.192.1 to 25.166.223.25425.166.223.2558,190
5625.166.224.0/1925.166.224.1 to 25.166.255.25425.166.255.2558,190
5725.167.0.0/1925.167.0.1 to 25.167.31.25425.167.31.2558,190
5825.167.32.0/1925.167.32.1 to 25.167.63.25425.167.63.2558,190
5925.167.64.0/1925.167.64.1 to 25.167.95.25425.167.95.2558,190
6025.167.96.0/1925.167.96.1 to 25.167.127.25425.167.127.2558,190
6125.167.128.0/1925.167.128.1 to 25.167.159.25425.167.159.2558,190
6225.167.160.0/1925.167.160.1 to 25.167.191.25425.167.191.2558,190
6325.167.192.0/1925.167.192.1 to 25.167.223.25425.167.223.2558,190
6425.167.224.0/1925.167.224.1 to 25.167.255.25425.167.255.2558,190
6525.168.0.0/1925.168.0.1 to 25.168.31.25425.168.31.2558,190
6625.168.32.0/1925.168.32.1 to 25.168.63.25425.168.63.2558,190
6725.168.64.0/1925.168.64.1 to 25.168.95.25425.168.95.2558,190
6825.168.96.0/1925.168.96.1 to 25.168.127.25425.168.127.2558,190
6925.168.128.0/1925.168.128.1 to 25.168.159.25425.168.159.2558,190
7025.168.160.0/1925.168.160.1 to 25.168.191.25425.168.191.2558,190
7125.168.192.0/1925.168.192.1 to 25.168.223.25425.168.223.2558,190
7225.168.224.0/1925.168.224.1 to 25.168.255.25425.168.255.2558,190
7325.169.0.0/1925.169.0.1 to 25.169.31.25425.169.31.2558,190
7425.169.32.0/1925.169.32.1 to 25.169.63.25425.169.63.2558,190
7525.169.64.0/1925.169.64.1 to 25.169.95.25425.169.95.2558,190
7625.169.96.0/1925.169.96.1 to 25.169.127.25425.169.127.2558,190
7725.169.128.0/1925.169.128.1 to 25.169.159.25425.169.159.2558,190
7825.169.160.0/1925.169.160.1 to 25.169.191.25425.169.191.2558,190
7925.169.192.0/1925.169.192.1 to 25.169.223.25425.169.223.2558,190
8025.169.224.0/1925.169.224.1 to 25.169.255.25425.169.255.2558,190
8125.170.0.0/1925.170.0.1 to 25.170.31.25425.170.31.2558,190
8225.170.32.0/1925.170.32.1 to 25.170.63.25425.170.63.2558,190
8325.170.64.0/1925.170.64.1 to 25.170.95.25425.170.95.2558,190
8425.170.96.0/1925.170.96.1 to 25.170.127.25425.170.127.2558,190
8525.170.128.0/1925.170.128.1 to 25.170.159.25425.170.159.2558,190
8625.170.160.0/1925.170.160.1 to 25.170.191.25425.170.191.2558,190
8725.170.192.0/1925.170.192.1 to 25.170.223.25425.170.223.2558,190
8825.170.224.0/1925.170.224.1 to 25.170.255.25425.170.255.2558,190
8925.171.0.0/1925.171.0.1 to 25.171.31.25425.171.31.2558,190
9025.171.32.0/1925.171.32.1 to 25.171.63.25425.171.63.2558,190
9125.171.64.0/1925.171.64.1 to 25.171.95.25425.171.95.2558,190
9225.171.96.0/1925.171.96.1 to 25.171.127.25425.171.127.2558,190
9325.171.128.0/1925.171.128.1 to 25.171.159.25425.171.159.2558,190
9425.171.160.0/1925.171.160.1 to 25.171.191.25425.171.191.2558,190
9525.171.192.0/1925.171.192.1 to 25.171.223.25425.171.223.2558,190
9625.171.224.0/1925.171.224.1 to 25.171.255.25425.171.255.2558,190
9725.172.0.0/1925.172.0.1 to 25.172.31.25425.172.31.2558,190
9825.172.32.0/1925.172.32.1 to 25.172.63.25425.172.63.2558,190
9925.172.64.0/1925.172.64.1 to 25.172.95.25425.172.95.2558,190
10025.172.96.0/1925.172.96.1 to 25.172.127.25425.172.127.2558,190
10125.172.128.0/1925.172.128.1 to 25.172.159.25425.172.159.2558,190
10225.172.160.0/1925.172.160.1 to 25.172.191.25425.172.191.2558,190
10325.172.192.0/1925.172.192.1 to 25.172.223.25425.172.223.2558,190
10425.172.224.0/1925.172.224.1 to 25.172.255.25425.172.255.2558,190
10525.173.0.0/1925.173.0.1 to 25.173.31.25425.173.31.2558,190
10625.173.32.0/1925.173.32.1 to 25.173.63.25425.173.63.2558,190
10725.173.64.0/1925.173.64.1 to 25.173.95.25425.173.95.2558,190
10825.173.96.0/1925.173.96.1 to 25.173.127.25425.173.127.2558,190
10925.173.128.0/1925.173.128.1 to 25.173.159.25425.173.159.2558,190
11025.173.160.0/1925.173.160.1 to 25.173.191.25425.173.191.2558,190
11125.173.192.0/1925.173.192.1 to 25.173.223.25425.173.223.2558,190
11225.173.224.0/1925.173.224.1 to 25.173.255.25425.173.255.2558,190
11325.174.0.0/1925.174.0.1 to 25.174.31.25425.174.31.2558,190
11425.174.32.0/1925.174.32.1 to 25.174.63.25425.174.63.2558,190
11525.174.64.0/1925.174.64.1 to 25.174.95.25425.174.95.2558,190
11625.174.96.0/1925.174.96.1 to 25.174.127.25425.174.127.2558,190
11725.174.128.0/1925.174.128.1 to 25.174.159.25425.174.159.2558,190
11825.174.160.0/1925.174.160.1 to 25.174.191.25425.174.191.2558,190
11925.174.192.0/1925.174.192.1 to 25.174.223.25425.174.223.2558,190
12025.174.224.0/1925.174.224.1 to 25.174.255.25425.174.255.2558,190
12125.175.0.0/1925.175.0.1 to 25.175.31.25425.175.31.2558,190
12225.175.32.0/1925.175.32.1 to 25.175.63.25425.175.63.2558,190
12325.175.64.0/1925.175.64.1 to 25.175.95.25425.175.95.2558,190
12425.175.96.0/1925.175.96.1 to 25.175.127.25425.175.127.2558,190
12525.175.128.0/1925.175.128.1 to 25.175.159.25425.175.159.2558,190
12625.175.160.0/1925.175.160.1 to 25.175.191.25425.175.191.2558,190
12725.175.192.0/1925.175.192.1 to 25.175.223.25425.175.223.2558,190
12825.175.224.0/1925.175.224.1 to 25.175.255.25425.175.255.2558,190
12925.176.0.0/1925.176.0.1 to 25.176.31.25425.176.31.2558,190
13025.176.32.0/1925.176.32.1 to 25.176.63.25425.176.63.2558,190
13125.176.64.0/1925.176.64.1 to 25.176.95.25425.176.95.2558,190
13225.176.96.0/1925.176.96.1 to 25.176.127.25425.176.127.2558,190
13325.176.128.0/1925.176.128.1 to 25.176.159.25425.176.159.2558,190
13425.176.160.0/1925.176.160.1 to 25.176.191.25425.176.191.2558,190
13525.176.192.0/1925.176.192.1 to 25.176.223.25425.176.223.2558,190
13625.176.224.0/1925.176.224.1 to 25.176.255.25425.176.255.2558,190
13725.177.0.0/1925.177.0.1 to 25.177.31.25425.177.31.2558,190
13825.177.32.0/1925.177.32.1 to 25.177.63.25425.177.63.2558,190
13925.177.64.0/1925.177.64.1 to 25.177.95.25425.177.95.2558,190
14025.177.96.0/1925.177.96.1 to 25.177.127.25425.177.127.2558,190
14125.177.128.0/1925.177.128.1 to 25.177.159.25425.177.159.2558,190
14225.177.160.0/1925.177.160.1 to 25.177.191.25425.177.191.2558,190
14325.177.192.0/1925.177.192.1 to 25.177.223.25425.177.223.2558,190
14425.177.224.0/1925.177.224.1 to 25.177.255.25425.177.255.2558,190
14525.178.0.0/1925.178.0.1 to 25.178.31.25425.178.31.2558,190
14625.178.32.0/1925.178.32.1 to 25.178.63.25425.178.63.2558,190
14725.178.64.0/1925.178.64.1 to 25.178.95.25425.178.95.2558,190
14825.178.96.0/1925.178.96.1 to 25.178.127.25425.178.127.2558,190
14925.178.128.0/1925.178.128.1 to 25.178.159.25425.178.159.2558,190
15025.178.160.0/1925.178.160.1 to 25.178.191.25425.178.191.2558,190
15125.178.192.0/1925.178.192.1 to 25.178.223.25425.178.223.2558,190
15225.178.224.0/1925.178.224.1 to 25.178.255.25425.178.255.2558,190
15325.179.0.0/1925.179.0.1 to 25.179.31.25425.179.31.2558,190
15425.179.32.0/1925.179.32.1 to 25.179.63.25425.179.63.2558,190
15525.179.64.0/1925.179.64.1 to 25.179.95.25425.179.95.2558,190
15625.179.96.0/1925.179.96.1 to 25.179.127.25425.179.127.2558,190
15725.179.128.0/1925.179.128.1 to 25.179.159.25425.179.159.2558,190
15825.179.160.0/1925.179.160.1 to 25.179.191.25425.179.191.2558,190
15925.179.192.0/1925.179.192.1 to 25.179.223.25425.179.223.2558,190
16025.179.224.0/1925.179.224.1 to 25.179.255.25425.179.255.2558,190
16125.180.0.0/1925.180.0.1 to 25.180.31.25425.180.31.2558,190
16225.180.32.0/1925.180.32.1 to 25.180.63.25425.180.63.2558,190
16325.180.64.0/1925.180.64.1 to 25.180.95.25425.180.95.2558,190
16425.180.96.0/1925.180.96.1 to 25.180.127.25425.180.127.2558,190
16525.180.128.0/1925.180.128.1 to 25.180.159.25425.180.159.2558,190
16625.180.160.0/1925.180.160.1 to 25.180.191.25425.180.191.2558,190
16725.180.192.0/1925.180.192.1 to 25.180.223.25425.180.223.2558,190
16825.180.224.0/1925.180.224.1 to 25.180.255.25425.180.255.2558,190
16925.181.0.0/1925.181.0.1 to 25.181.31.25425.181.31.2558,190
17025.181.32.0/1925.181.32.1 to 25.181.63.25425.181.63.2558,190
17125.181.64.0/1925.181.64.1 to 25.181.95.25425.181.95.2558,190
17225.181.96.0/1925.181.96.1 to 25.181.127.25425.181.127.2558,190
17325.181.128.0/1925.181.128.1 to 25.181.159.25425.181.159.2558,190
17425.181.160.0/1925.181.160.1 to 25.181.191.25425.181.191.2558,190
17525.181.192.0/1925.181.192.1 to 25.181.223.25425.181.223.2558,190
17625.181.224.0/1925.181.224.1 to 25.181.255.25425.181.255.2558,190
17725.182.0.0/1925.182.0.1 to 25.182.31.25425.182.31.2558,190
17825.182.32.0/1925.182.32.1 to 25.182.63.25425.182.63.2558,190
17925.182.64.0/1925.182.64.1 to 25.182.95.25425.182.95.2558,190
18025.182.96.0/1925.182.96.1 to 25.182.127.25425.182.127.2558,190
18125.182.128.0/1925.182.128.1 to 25.182.159.25425.182.159.2558,190
18225.182.160.0/1925.182.160.1 to 25.182.191.25425.182.191.2558,190
18325.182.192.0/1925.182.192.1 to 25.182.223.25425.182.223.2558,190
18425.182.224.0/1925.182.224.1 to 25.182.255.25425.182.255.2558,190
18525.183.0.0/1925.183.0.1 to 25.183.31.25425.183.31.2558,190
18625.183.32.0/1925.183.32.1 to 25.183.63.25425.183.63.2558,190
18725.183.64.0/1925.183.64.1 to 25.183.95.25425.183.95.2558,190
18825.183.96.0/1925.183.96.1 to 25.183.127.25425.183.127.2558,190
18925.183.128.0/1925.183.128.1 to 25.183.159.25425.183.159.2558,190
19025.183.160.0/1925.183.160.1 to 25.183.191.25425.183.191.2558,190
19125.183.192.0/1925.183.192.1 to 25.183.223.25425.183.223.2558,190
19225.183.224.0/1925.183.224.1 to 25.183.255.25425.183.255.2558,190
19325.184.0.0/1925.184.0.1 to 25.184.31.25425.184.31.2558,190
19425.184.32.0/1925.184.32.1 to 25.184.63.25425.184.63.2558,190
19525.184.64.0/1925.184.64.1 to 25.184.95.25425.184.95.2558,190
19625.184.96.0/1925.184.96.1 to 25.184.127.25425.184.127.2558,190
19725.184.128.0/1925.184.128.1 to 25.184.159.25425.184.159.2558,190
19825.184.160.0/1925.184.160.1 to 25.184.191.25425.184.191.2558,190
19925.184.192.0/1925.184.192.1 to 25.184.223.25425.184.223.2558,190
20025.184.224.0/1925.184.224.1 to 25.184.255.25425.184.255.2558,190
20125.185.0.0/1925.185.0.1 to 25.185.31.25425.185.31.2558,190
20225.185.32.0/1925.185.32.1 to 25.185.63.25425.185.63.2558,190
20325.185.64.0/1925.185.64.1 to 25.185.95.25425.185.95.2558,190
20425.185.96.0/1925.185.96.1 to 25.185.127.25425.185.127.2558,190
20525.185.128.0/1925.185.128.1 to 25.185.159.25425.185.159.2558,190
20625.185.160.0/1925.185.160.1 to 25.185.191.25425.185.191.2558,190
20725.185.192.0/1925.185.192.1 to 25.185.223.25425.185.223.2558,190
20825.185.224.0/1925.185.224.1 to 25.185.255.25425.185.255.2558,190
20925.186.0.0/1925.186.0.1 to 25.186.31.25425.186.31.2558,190
21025.186.32.0/1925.186.32.1 to 25.186.63.25425.186.63.2558,190
21125.186.64.0/1925.186.64.1 to 25.186.95.25425.186.95.2558,190
21225.186.96.0/1925.186.96.1 to 25.186.127.25425.186.127.2558,190
21325.186.128.0/1925.186.128.1 to 25.186.159.25425.186.159.2558,190
21425.186.160.0/1925.186.160.1 to 25.186.191.25425.186.191.2558,190
21525.186.192.0/1925.186.192.1 to 25.186.223.25425.186.223.2558,190
21625.186.224.0/1925.186.224.1 to 25.186.255.25425.186.255.2558,190
21725.187.0.0/1925.187.0.1 to 25.187.31.25425.187.31.2558,190
21825.187.32.0/1925.187.32.1 to 25.187.63.25425.187.63.2558,190
21925.187.64.0/1925.187.64.1 to 25.187.95.25425.187.95.2558,190
22025.187.96.0/1925.187.96.1 to 25.187.127.25425.187.127.2558,190
22125.187.128.0/1925.187.128.1 to 25.187.159.25425.187.159.2558,190
22225.187.160.0/1925.187.160.1 to 25.187.191.25425.187.191.2558,190
22325.187.192.0/1925.187.192.1 to 25.187.223.25425.187.223.2558,190
22425.187.224.0/1925.187.224.1 to 25.187.255.25425.187.255.2558,190
22525.188.0.0/1925.188.0.1 to 25.188.31.25425.188.31.2558,190
22625.188.32.0/1925.188.32.1 to 25.188.63.25425.188.63.2558,190
22725.188.64.0/1925.188.64.1 to 25.188.95.25425.188.95.2558,190
22825.188.96.0/1925.188.96.1 to 25.188.127.25425.188.127.2558,190
22925.188.128.0/1925.188.128.1 to 25.188.159.25425.188.159.2558,190
23025.188.160.0/1925.188.160.1 to 25.188.191.25425.188.191.2558,190
23125.188.192.0/1925.188.192.1 to 25.188.223.25425.188.223.2558,190
23225.188.224.0/1925.188.224.1 to 25.188.255.25425.188.255.2558,190
23325.189.0.0/1925.189.0.1 to 25.189.31.25425.189.31.2558,190
23425.189.32.0/1925.189.32.1 to 25.189.63.25425.189.63.2558,190
23525.189.64.0/1925.189.64.1 to 25.189.95.25425.189.95.2558,190
23625.189.96.0/1925.189.96.1 to 25.189.127.25425.189.127.2558,190
23725.189.128.0/1925.189.128.1 to 25.189.159.25425.189.159.2558,190
23825.189.160.0/1925.189.160.1 to 25.189.191.25425.189.191.2558,190
23925.189.192.0/1925.189.192.1 to 25.189.223.25425.189.223.2558,190
24025.189.224.0/1925.189.224.1 to 25.189.255.25425.189.255.2558,190
24125.190.0.0/1925.190.0.1 to 25.190.31.25425.190.31.2558,190
24225.190.32.0/1925.190.32.1 to 25.190.63.25425.190.63.2558,190
24325.190.64.0/1925.190.64.1 to 25.190.95.25425.190.95.2558,190
24425.190.96.0/1925.190.96.1 to 25.190.127.25425.190.127.2558,190
24525.190.128.0/1925.190.128.1 to 25.190.159.25425.190.159.2558,190
24625.190.160.0/1925.190.160.1 to 25.190.191.25425.190.191.2558,190
24725.190.192.0/1925.190.192.1 to 25.190.223.25425.190.223.2558,190
24825.190.224.0/1925.190.224.1 to 25.190.255.25425.190.255.2558,190
24925.191.0.0/1925.191.0.1 to 25.191.31.25425.191.31.2558,190
25025.191.32.0/1925.191.32.1 to 25.191.63.25425.191.63.2558,190
25125.191.64.0/1925.191.64.1 to 25.191.95.25425.191.95.2558,190
25225.191.96.0/1925.191.96.1 to 25.191.127.25425.191.127.2558,190
25325.191.128.0/1925.191.128.1 to 25.191.159.25425.191.159.2558,190
25425.191.160.0/1925.191.160.1 to 25.191.191.25425.191.191.2558,190
25525.191.192.0/1925.191.192.1 to 25.191.223.25425.191.223.2558,190
25625.191.224.0/1925.191.224.1 to 25.191.255.25425.191.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses